---
lang: en
title: 'API docs: tsdocs.lernapackage'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.lernapackage.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [LernaPackage](./tsdocs.lernapackage.md)

## LernaPackage interface

Typescript definition for [Lerna Package](https://github.com/lerna/lerna/blob/master/core/package/index.js)

**Signature:**

```typescript
export interface LernaPackage 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [location](./tsdocs.lernapackage.location.md) |  | string | Location of the package |
|  [manifestLocation](./tsdocs.lernapackage.manifestlocation.md) |  | string | Location of <code>package.json</code> |
|  [name](./tsdocs.lernapackage.name.md) |  | string | Package name |
|  [private](./tsdocs.lernapackage.private.md) |  | boolean | Is it a private package? |
|  [rootPath](./tsdocs.lernapackage.rootpath.md) |  | string | Root directory of the monorepo |


